QCONFIG = /usr/support/mkfiles/qconf-qnx.mk
ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

NAME=audiotrap

CCFLAGS += -DAUDIOTRAP

LDFLAGS_qnx4 = -T1
LDFLAGS += $(LDFLAGS_$(OS)) 

DEVA_ROOT = $(CVS_ROOT)/mgr/deva

DETECT_SRCS := $(wildcard $(DEVA_ROOT)/*/detect_*.c)
DRVR_DIRS := $(dir $(DETECT_SRCS))
EXTRA_OBJS = $(addsuffix .o, $(basename $(notdir $(DETECT_SRCS))))

EXTRA_INCVPATH = $(DEVA_ROOT)/include $(DEVA_ROOT)/public/include/sys $(DRVR_DIRS) 
EXTRA_LIBVPATH = $(DEVA_ROOT)/lib/$(OS)/$(CPUDIR)/a
LIBS = snd

include $(MKFILES_ROOT)/qtargets.mk

vpath %.c $(DRVR_DIRS)
